Place text objects (dyntext floaters) displaying the name of wire-nets and
symbols if they don't have it already.
<p>
The action creates a list of objects using query(), including only selected
or all objects, depending on scope. This list is then searched through for:
<ul>
	<li> a group with role=symbol or role=wire-net
	<li> else any object whose parent is such a group
</ul>
<p>
Matching groups are collected in GRPS[] by their idpath. When child objects
are found, they are checked for two things:
<ul>
	<li> when text: if it's a dyntext printing the name of the group, this is noted in the GRPS[] array (value 1) so a redundant label is not auto-created
	<li> when line: the center point of the longest line is remembered per group in LINE[]; this is where a wire-net label is placed
</ul>
<p>
At the end of the action a second loop iterates over the collected GRPS[]
and calls the helper function autolabel_grp() on the ones that need a label.
The helper function then will create the text object for the label. The new
text object is created within the (symbol or wirenet) group.
<p>
How to test:
<ul>
	<li> load the script
	<li> place a few symbols, delete theyr labels
	<li> draw a few nets, name them, but do not place floaters on the name
	<li> select nets and symbols
	<li> invoke the script from menu or with hotkey {p s a} or using action AutoLabel(selected)
	<li> labels are placed on wires and symbols that did not have floaters with their name attribute
</ul>
